import * as $dara from '@darabonba/typescript';
import { DeleteHpcClusterResponseBody } from "./DeleteHpcClusterResponseBody";
export declare class DeleteHpcClusterResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteHpcClusterResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
